Name:       opencc
Version:    0.1.2
Release:    1%{?dist}
Summary:    Libraries for Simplified-Traditional Chinese Conversion
License:    ASL 2.0
Group:      System Environment/Libraries
URL:        http://code.google.com/p/open-chinese-convert/
Source0:    http://open-chinese-convert.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  gettext

%description
OpenCC is a library for converting characters and phrases between
Traditional Chinese and Simplified Chinese.


%package tools
Summary:    Command line tools for OpenCC
Group:      Applications/Text
Requires:   %{name} = %{version}-%{release}

%description tools
Command line tools for OpenCC, including tools for conversion via cli and
for building dictionaries.


%package devel
Summary:    Development files for OpenCC
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static --enable-shared
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_datadir}/opencc/

%files tools
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/man/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 17 2010 BYVoid <byvoid.kcp@gmail.com> - 0.1.2-1
- Upstream release.

* Thu Aug 12 2010 BYVoid <byvoid.kcp@gmail.com> - 0.1.1-1
- Upstream release.

* Thu Jul 29 2010 BYVoid <byvoid.kcp@gmail.com> - 0.1.0-1
- Upstream release.

* Fri Jul 16 2010 BYVoid <byvoid.kcp@gmail.com> - 0.0.4-1
- Initial release of RPM.
